import request from '@/utils/request'

// 查询动力柜电器设备类型列表
export function listElecEqptType(query) {
  return request({
    url: '/ems/elecEqpt/type/list',
    method: 'get',
    params: query
  })
}

// 查询动力柜电器设备类型详细
export function getElecEqptType(id) {
  return request({
    url: '/ems/elecEqpt/type/' + id,
    method: 'get'
  })
}

// 新增动力柜电器设备类型
export function addElecEqptType(data) {
  return request({
    url: '/ems/elecEqpt/type',
    method: 'post',
    data: data
  })
}

// 修改动力柜电器设备类型
export function updateElecEqptType(data) {
  return request({
    url: '/ems/elecEqpt/type',
    method: 'put',
    data: data
  })
}

// 删除动力柜电器设备类型
export function delElecEqptType(id) {
  return request({
    url: '/ems/elecEqpt/type/' + id,
    method: 'delete'
  })
}
